Bug 53383 - System.Numerics tests fail on x86
Summary: System.Numerics tests fail on x86
Status: RESOLVED FIXED
Alias: None
Product: Runtime
Classification: Mono
Component: JIT (show other bugs)
Version: master
Hardware: PC Mac OS
: --- normal
Target Milestone: ---
Assignee: Zoltan Varga
URL:
Depends on:
Blocks:
 
Reported: 2017-03-16 09:28 UTC by Marek Safar
Modified: 2017-10-06 22:41 UTC (History)
4 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on GitHub or Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description Marek Safar 2017-03-16 09:28:25 UTC
Stacktrace:

  at <unknown> <0xffffffff>
  at System.Numerics.Tests.GenericVectorTests.ValidateVector<sbyte> (System.Numerics.Vector`1<sbyte>,System.Action`2<int, sbyte>) [0x00004] in /Users/builder/jenkins/workspace/test-mono-pull-request-i386-osx/external/corefx/src/System.Numerics.Vectors/tests/GenericVectorTests.cs:2617
  at System.Numerics.Tests.GenericVectorTests.TestConstructorConstantValue<sbyte> () [0x00026] in /Users/builder/jenkins/workspace/test-mono-pull-request-i386-osx/external/corefx/src/System.Numerics.Vectors/tests/GenericVectorTests.cs:120
  at System.Numerics.Tests.GenericVectorTests.ConstructorConstantValueSByte () [0x00000] in /Users/builder/jenkins/workspace/test-mono-pull-request-i386-osx/external/corefx/src/System.Numerics.Vectors/tests/GenericVectorTests.cs:99
  at (wrapper runtime-invoke) object.runtime_invoke_void__this__ (object,intptr,intptr,intptr) [0x0004f] in <2ecee3ed1981418c8daec3f1c114ae07>:0
  at <unknown> <0xffffffff>
  at (wrapper managed-to-native) System.Reflection.MonoMethod.InternalInvoke (System.Reflection.MonoMethod,object,object[],System.Exception&) <0x00012>
  at System.Reflection.MonoMethod.Invoke (object,System.Reflection.BindingFlags,System.Reflection.Binder,object[],System.Globalization.CultureInfo) [0x00032] in /Users/builder/jenkins/workspace/test-mono-pull-request-i386-osx/mcs/class/corlib/System.Reflection/MonoMethod.cs:305
  at System.Reflection.MethodBase.Invoke (object,object[]) [0x00000] in /Users/builder/jenkins/workspace/test-mono-pull-request-i386-osx/mcs/class/referencesource/mscorlib/system/reflection/methodbase.cs:229
  at Xunit.Sdk.TestInvoker`1<TTestCase_REF>.CallTestMethod (object) [0x0000d] in <2dbd0c8e155141df800de44e485a4682>:0
  at Xunit.Sdk.TestInvoker`1/<>c__DisplayClass48_1/<<InvokeTestMethodAsync>b__1>d<TTestCase_REF>.MoveNext () [0x00106] in <2dbd0c8e155141df800de44e485a4682>:0
  at System.Runtime.CompilerServices.AsyncTaskMethodBuilder.Start<Xunit.Sdk.TestInvoker`1/<>c__DisplayClass48_1/<<InvokeTestMethodAsync>b__1>d<Xunit.Sdk.IXunitTestCase>> (Xunit.Sdk.TestInvoker`1/<>c__DisplayClass48_1/<<InvokeTestMethodAsync>b__1>d<Xunit.Sdk.IXunitTestCase>&) [0x0002c] in /Users/builder/jenkins/workspace/test-mono-pull-request-i386-osx/mcs/class/referencesource/mscorlib/system/runtime/compilerservices/AsyncMethodBuilder.cs:316
  at Xunit.Sdk.TestInvoker`1/<>c__DisplayClass48_1<TTestCase_REF>.<InvokeTestMethodAsync>b__1 () [0x00027] in <2dbd0c8e155141df800de44e485a4682>:0
  at Xunit.Sdk.ExecutionTimer/<AggregateAsync>d__4.MoveNext () [0x0001f] in <2dbd0c8e155141df800de44e485a4682>:0
  at System.Runtime.CompilerServices.AsyncTaskMethodBuilder.Start<Xunit.Sdk.ExecutionTimer/<AggregateAsync>d__4> (Xunit.Sdk.ExecutionTimer/<AggregateAsync>d__4&) [0x0002c] in /Users/builder/jenkins/workspace/test-mono-pull-request-i386-osx/mcs/class/referencesource/mscorlib/system/runtime/compilerservices/AsyncMethodBuilder.cs:316
  at Xunit.Sdk.ExecutionTimer.AggregateAsync (System.Func`1<System.Threading.Tasks.Task>) [0x0002f] in <2dbd0c8e155141df800de44e485a4682>:0
  at Xunit.Sdk.TestInvoker`1/<>c__DisplayClass48_1<TTestCase_REF>.<InvokeTestMethodAsync>b__0 () [0x0002f] in <2dbd0c8e155141df800de44e485a4682>:0
  at Xunit.Sdk.ExceptionAggregator/<RunAsync>d__9.MoveNext () [0x00013] in <85f8575ce520407698c35295d73e25dd>:0
  at System.Runtime.CompilerServices.AsyncTaskMethodBuilder.Start<Xunit.Sdk.ExceptionAggregator/<RunAsync>d__9> (Xunit.Sdk.ExceptionAggregator/<RunAsync>d__9&) [0x0002c] in /Users/builder/jenkins/workspace/test-mono-pull-request-i386-osx/mcs/class/referencesource/mscorlib/system/runtime/compilerservices/AsyncMethodBuilder.cs:316
  at Xunit.Sdk.ExceptionAggregator.RunAsync (System.Func`1<System.Threading.Tasks.Task>) [0x0002f] in <85f8575ce520407698c35295d73e25dd>:0
  at Xunit.Sdk.TestInvoker`1/<InvokeTestMethodAsync>d__48<TTestCase_REF>.MoveNext () [0x00077] in <2dbd0c8e155141df800de44e485a4682>:0
  at System.Runtime.CompilerServices.AsyncTaskMethodBuilder`1<System.Decimal>.Start<Xunit.Sdk.TestInvoker`1/<InvokeTestMethodAsync>d__48<Xunit.Sdk.IXunitTestCase>> (Xunit.Sdk.TestInvoker`1/<InvokeTestMethodAsync>d__48<Xunit.Sdk.IXunitTestCase>&) [0x0002c] in /Users/builder/jenkins/workspace/test-mono-pull-request-i386-osx/mcs/class/referencesource/mscorlib/system/runtime/compilerservices/AsyncMethodBuilder.cs:471
  at Xunit.Sdk.TestInvoker`1<TTestCase_REF>.InvokeTestMethodAsync (object) [0x0002f] in <2dbd0c8e155141df800de44e485a4682>:0
  at Xunit.Sdk.TestInvoker`1/<<RunAsync>b__47_0>d<TTestCase_REF>.MoveNext () [0x001be] in <2dbd0c8e155141df800de44e485a4682>:0
  at System.Runtime.CompilerServices.AsyncTaskMethodBuilder`1<System.Decimal>.Start<Xunit.Sdk.TestInvoker`1/<<RunAsync>b__47_0>d<Xunit.Sdk.IXunitTestCase>> (Xunit.Sdk.TestInvoker`1/<<RunAsync>b__47_0>d<Xunit.Sdk.IXunitTestCase>&) [0x0002c] in /Users/builder/jenkins/workspace/test-mono-pull-request-i386-osx/mcs/class/referencesource/mscorlib/system/runtime/compilerservices/AsyncMethodBuilder.cs:471
  at Xunit.Sdk.TestInvoker`1<TTestCase_REF>.<RunAsync>b__47_0 () [0x00027] in <2dbd0c8e155141df800de44e485a4682>:0
  at Xunit.Sdk.ExceptionAggregator/<RunAsync>d__10`1<System.Decimal>.MoveNext () [0x00013] in <85f8575ce520407698c35295d73e25dd>:0
  at System.Runtime.CompilerServices.AsyncTaskMethodBuilder`1<System.Decimal>.Start<Xunit.Sdk.ExceptionAggregator/<RunAsync>d__10`1<System.Decimal>> (Xunit.Sdk.ExceptionAggregator/<RunAsync>d__10`1<System.Decimal>&) [0x0002c] in /Users/builder/jenkins/workspace/test-mono-pull-request-i386-osx/mcs/class/referencesource/mscorlib/system/runtime/compilerservices/AsyncMethodBuilder.cs:471
  at Xunit.Sdk.ExceptionAggregator.RunAsync<System.Decimal> (System.Func`1<System.Threading.Tasks.Task`1<System.Decimal>>) [0x0002f] in <85f8575ce520407698c35295d73e25dd>:0
  at Xunit.Sdk.TestInvoker`1<TTestCase_REF>.RunAsync () [0x00012] in <2dbd0c8e155141df800de44e485a4682>:0
  at Xunit.Sdk.XunitTestRunner.InvokeTestMethodAsync (Xunit.Sdk.ExceptionAggregator) [0x00036] in <2dbd0c8e155141df800de44e485a4682>:0
  at Xunit.Sdk.XunitTestRunner/<InvokeTestAsync>d__4.MoveNext () [0x00088] in <2dbd0c8e155141df800de44e485a4682>:0
  at System.Runtime.CompilerServices.AsyncTaskMethodBuilder`1<System.Tuple`2<System.Decimal, string>>.Start<Xunit.Sdk.XunitTestRunner/<InvokeTestAsync>d__4> (Xunit.Sdk.XunitTestRunner/<InvokeTestAsync>d__4&) [0x0002c] in /Users/builder/jenkins/workspace/test-mono-pull-request-i386-osx/mcs/class/referencesource/mscorlib/system/runtime/compilerservices/AsyncMethodBuilder.cs:471
  at Xunit.Sdk.XunitTestRunner.InvokeTestAsync (Xunit.Sdk.ExceptionAggregator) [0x0002f] in <2dbd0c8e155141df800de44e485a4682>:0
  at Xunit.Sdk.TestRunner`1/<>c__DisplayClass43_0<TTestCase_REF>.<RunAsync>b__0 () [0x0000c] in <2dbd0c8e155141df800de44e485a4682>:0
  at Xunit.Sdk.ExceptionAggregator/<RunAsync>d__10`1<T_REF>.MoveNext () [0x00013] in <85f8575ce520407698c35295d73e25dd>:0
  at System.Runtime.CompilerServices.AsyncTaskMethodBuilder`1<System.Tuple`2<System.Decimal, string>>.Start<Xunit.Sdk.ExceptionAggregator/<RunAsync>d__10`1<System.Tuple`2<System.Decimal, string>>> (Xunit.Sdk.ExceptionAggregator/<RunAsync>d__10`1<System.Tuple`2<System.Decimal, string>>&) [0x0002c] in /Users/builder/jenkins/workspace/test-mono-pull-request-i386-osx/mcs/class/referencesource/mscorlib/system/runtime/compilerservices/AsyncMethodBuilder.cs:471
  at Xunit.Sdk.ExceptionAggregator.RunAsync<T_REF> (System.Func`1<System.Threading.Tasks.Task`1<T_REF>>) [0x0002f] in <85f8575ce520407698c35295d73e25dd>:0
  at Xunit.Sdk.TestRunner`1/<RunAsync>d__43<TTestCase_REF>.MoveNext () [0x0013e] in <2dbd0c8e155141df800de44e485a4682>:0
  at System.Runtime.CompilerServices.AsyncTaskMethodBuilder`1<Xunit.Sdk.RunSummary>.Start<Xunit.Sdk.TestRunner`1/<RunAsync>d__43<Xunit.Sdk.IXunitTestCase>> (Xunit.Sdk.TestRunner`1/<RunAsync>d__43<Xunit.Sdk.IXunitTestCase>&) [0x0002c] in /Users/builder/jenkins/workspace/test-mono-pull-request-i386-osx/mcs/class/referencesource/mscorlib/system/runtime/compilerservices/AsyncMethodBuilder.cs:471
  at Xunit.Sdk.TestRunner`1<TTestCase_REF>.RunAsync () [0x00027] in <2dbd0c8e155141df800de44e485a4682>:0
  at Xunit.Sdk.XunitTestCaseRunner.RunTestAsync () [0x00051] in <2dbd0c8e155141df800de44e485a4682>:0
  at Xunit.Sdk.TestCaseRunner`1/<RunAsync>d__19<TTestCase_REF>.MoveNext () [0x000e1] in <2dbd0c8e155141df800de44e485a4682>:0
  at System.Runtime.CompilerServices.AsyncTaskMethodBuilder`1<Xunit.Sdk.RunSummary>.Start<Xunit.Sdk.TestCaseRunner`1/<RunAsync>d__19<Xunit.Sdk.IXunitTestCase>> (Xunit.Sdk.TestCaseRunner`1/<RunAsync>d__19<Xunit.Sdk.IXunitTestCase>&) [0x0002c] in /Users/builder/jenkins/workspace/test-mono-pull-request-i386-osx/mcs/class/referencesource/mscorlib/system/runtime/compilerservices/AsyncMethodBuilder.cs:471
  at Xunit.Sdk.TestCaseRunner`1<TTestCase_REF>.RunAsync () [0x00027] in <2dbd0c8e155141df800de44e485a4682>:0
  at Xunit.Sdk.XunitTestCase.RunAsync (Xunit.Abstractions.IMessageSink,Xunit.Sdk.IMessageBus,object[],Xunit.Sdk.ExceptionAggregator,System.Threading.CancellationTokenSource) [0x0001e] in <2dbd0c8e155141df800de44e485a4682>:0
  at Xunit.Sdk.XunitTestMethodRunner.RunTestCaseAsync (Xunit.Sdk.IXunitTestCase) [0x00024] in <2dbd0c8e155141df800de44e485a4682>:0
  at Xunit.Sdk.TestMethodRunner`1/<RunTestCasesAsync>d__32<TTestCase_REF>.MoveNext () [0x00053] in <2dbd0c8e155141df800de44e485a4682>:0
  at System.Runtime.CompilerServices.AsyncTaskMethodBuilder`1<Xunit.Sdk.RunSummary>.Start<Xunit.Sdk.TestMethodRunner`1/<RunTestCasesAsync>d__32<Xunit.Sdk.IXunitTestCase>> (Xunit.Sdk.TestMethodRunner`1/<RunTestCasesAsync>d__32<Xunit.Sdk.IXunitTestCase>&) [0x0002c] in /Users/builder/jenkins/workspace/test-mono-pull-request-i386-osx/mcs/class/referencesource/mscorlib/system/runtime/compilerservices/AsyncMethodBuilder.cs:471
  at Xunit.Sdk.TestMethodRunner`1<TTestCase_REF>.RunTestCasesAsync () [0x00027] in <2dbd0c8e155141df800de44e485a4682>:0
  at Xunit.Sdk.TestMethodRunner`1/<RunAsync>d__31<TTestCase_REF>.MoveNext () [0x00071] in <2dbd0c8e155141df800de44e485a4682>:0
  at System.Runtime.CompilerServices.AsyncTaskMethodBuilder`1<Xunit.Sdk.RunSummary>.Start<Xunit.Sdk.TestMethodRunner`1/<RunAsync>d__31<Xunit.Sdk.IXunitTestCase>> (Xunit.Sdk.TestMethodRunner`1/<RunAsync>d__31<Xunit.Sdk.IXunitTestCase>&) [0x0002c] in /Users/builder/jenkins/workspace/test-mono-pull-request-i386-osx/mcs/class/referencesource/mscorlib/system/runtime/compilerservices/AsyncMethodBuilder.cs:471
  at Xunit.Sdk.TestMethodRunner`1<TTestCase_REF>.RunAsync () [0x00027] in <2dbd0c8e155141df800de44e485a4682>:0
  at Xunit.Sdk.XunitTestClassRunner.RunTestMethodAsync (Xunit.Abstractions.ITestMethod,Xunit.Abstractions.IReflectionMethodInfo,System.Collections.Generic.IEnumerable`1<Xunit.Sdk.IXunitTestCase>,object[]) [0x0002d] in <2dbd0c8e155141df800de44e485a4682>:0
  at Xunit.Sdk.TestClassRunner`1/<RunTestMethodsAsync>d__38<TTestCase_REF>.MoveNext () [0x00143] in <2dbd0c8e155141df800de44e485a4682>:0
  at System.Runtime.CompilerServices.AsyncTaskMethodBuilder`1<Xunit.Sdk.RunSummary>.Start<Xunit.Sdk.TestClassRunner`1/<RunTestMethodsAsync>d__38<Xunit.Sdk.IXunitTestCase>> (Xunit.Sdk.TestClassRunner`1/<RunTestMethodsAsync>d__38<Xunit.Sdk.IXunitTestCase>&) [0x0002c] in /Users/builder/jenkins/workspace/test-mono-pull-request-i386-osx/mcs/class/referencesource/mscorlib/system/runtime/compilerservices/AsyncMethodBuilder.cs:471
  at Xunit.Sdk.TestClassRunner`1<TTestCase_REF>.RunTestMethodsAsync () [0x00027] in <2dbd0c8e155141df800de44e485a4682>:0
  at Xunit.Sdk.TestClassRunner`1/<RunAsync>d__37<TTestCase_REF>.MoveNext () [0x000ec] in <2dbd0c8e155141df800de44e485a4682>:0
  at System.Runtime.CompilerServices.AsyncTaskMethodBuilder`1<Xunit.Sdk.RunSummary>.Start<Xunit.Sdk.TestClassRunner`1/<RunAsync>d__37<Xunit.Sdk.IXunitTestCase>> (Xunit.Sdk.TestClassRunner`1/<RunAsync>d__37<Xunit.Sdk.IXunitTestCase>&) [0x0002c] in /Users/builder/jenkins/workspace/test-mono-pull-request-i386-osx/mcs/class/referencesource/mscorlib/system/runtime/compilerservices/AsyncMethodBuilder.cs:471
  at Xunit.Sdk.TestClassRunner`1<TTestCase_REF>.RunAsync () [0x00027] in <2dbd0c8e155141df800de44e485a4682>:0
  at Xunit.Sdk.XunitTestCollectionRunner.RunTestClassAsync (Xunit.Abstractions.ITestClass,Xunit.Abstractions.IReflectionTypeInfo,System.Collections.Generic.IEnumerable`1<Xunit.Sdk.IXunitTestCase>) [0x00031] in <2dbd0c8e155141df800de44e485a4682>:0
  at Xunit.Sdk.TestCollectionRunner`1/<RunTestClassesAsync>d__28<TTestCase_REF>.MoveNext () [0x00092] in <2dbd0c8e155141df800de44e485a4682>:0
  at System.Runtime.CompilerServices.AsyncTaskMethodBuilder`1<Xunit.Sdk.RunSummary>.Start<Xunit.Sdk.TestCollectionRunner`1/<RunTestClassesAsync>d__28<Xunit.Sdk.IXunitTestCase>> (Xunit.Sdk.TestCollectionRunner`1/<RunTestClassesAsync>d__28<Xunit.Sdk.IXunitTestCase>&) [0x0002c] in /Users/builder/jenkins/workspace/test-mono-pull-request-i386-osx/mcs/class/referencesource/mscorlib/system/runtime/compilerservices/AsyncMethodBuilder.cs:471
  at Xunit.Sdk.TestCollectionRunner`1<TTestCase_REF>.RunTestClassesAsync () [0x00027] in <2dbd0c8e155141df800de44e485a4682>:0
  at Xunit.Sdk.TestCollectionRunner`1/<RunAsync>d__27<TTestCase_REF>.MoveNext () [0x000ec] in <2dbd0c8e155141df800de44e485a4682>:0
  at System.Runtime.CompilerServices.AsyncTaskMethodBuilder`1<Xunit.Sdk.RunSummary>.Start<Xunit.Sdk.TestCollectionRunner`1/<RunAsync>d__27<Xunit.Sdk.IXunitTestCase>> (Xunit.Sdk.TestCollectionRunner`1/<RunAsync>d__27<Xunit.Sdk.IXunitTestCase>&) [0x0002c] in /Users/builder/jenkins/workspace/test-mono-pull-request-i386-osx/mcs/class/referencesource/mscorlib/system/runtime/compilerservices/AsyncMethodBuilder.cs:471
  at Xunit.Sdk.TestCollectionRunner`1<TTestCase_REF>.RunAsync () [0x00027] in <2dbd0c8e155141df800de44e485a4682>:0
  at Xunit.Sdk.XunitTestAssemblyRunner.RunTestCollectionAsync (Xunit.Sdk.IMessageBus,Xunit.Abstractions.ITestCollection,System.Collections.Generic.IEnumerable`1<Xunit.Sdk.IXunitTestCase>,System.Threading.CancellationTokenSource) [0x00021] in <2dbd0c8e155141df800de44e485a4682>:0
  at Xunit.Sdk.TestAssemblyRunner`1/<RunTestCollectionsAsync>d__42<TTestCase_REF>.MoveNext () [0x0006a] in <2dbd0c8e155141df800de44e485a4682>:0
  at System.Runtime.CompilerServices.AsyncTaskMethodBuilder`1<Xunit.Sdk.RunSummary>.Start<Xunit.Sdk.TestAssemblyRunner`1/<RunTestCollectionsAsync>d__42<Xunit.Sdk.IXunitTestCase>> (Xunit.Sdk.TestAssemblyRunner`1/<RunTestCollectionsAsync>d__42<Xunit.Sdk.IXunitTestCase>&) [0x0002c] in /Users/builder/jenkins/workspace/test-mono-pull-request-i386-osx/mcs/class/referencesource/mscorlib/system/runtime/compilerservices/AsyncMethodBuilder.cs:471
  at Xunit.Sdk.TestAssemblyRunner`1<TTestCase_REF>.RunTestCollectionsAsync (Xunit.Sdk.IMessageBus,System.Threading.CancellationTokenSource) [0x00037] in <2dbd0c8e155141df800de44e485a4682>:0
  at Xunit.Sdk.XunitTestAssemblyRunner.<>n__0 (Xunit.Sdk.IMessageBus,System.Threading.CancellationTokenSource) [0x00003] in <2dbd0c8e155141df800de44e485a4682>:0
  at Xunit.Sdk.XunitTestAssemblyRunner/<RunTestCollectionsAsync>d__14.MoveNext () [0x0008e] in <2dbd0c8e155141df800de44e485a4682>:0
  at System.Runtime.CompilerServices.AsyncTaskMethodBuilder`1<Xunit.Sdk.RunSummary>.Start<Xunit.Sdk.XunitTestAssemblyRunner/<RunTestCollectionsAsync>d__14> (Xunit.Sdk.XunitTestAssemblyRunner/<RunTestCollectionsAsync>d__14&) [0x0002c] in /Users/builder/jenkins/workspace/test-mono-pull-request-i386-osx/mcs/class/referencesource/mscorlib/system/runtime/compilerservices/AsyncMethodBuilder.cs:471
  at Xunit.Sdk.XunitTestAssemblyRunner.RunTestCollectionsAsync (Xunit.Sdk.IMessageBus,System.Threading.CancellationTokenSource) [0x00037] in <2dbd0c8e155141df800de44e485a4682>:0
  at Xunit.Sdk.TestAssemblyRunner`1/<RunAsync>d__41<TTestCase_REF>.MoveNext () [0x00167] in <2dbd0c8e155141df800de44e485a4682>:0
  at System.Runtime.CompilerServices.AsyncTaskMethodBuilder`1<Xunit.Sdk.RunSummary>.Start<Xunit.Sdk.TestAssemblyRunner`1/<RunAsync>d__41<Xunit.Sdk.IXunitTestCase>> (Xunit.Sdk.TestAssemblyRunner`1/<RunAsync>d__41<Xunit.Sdk.IXunitTestCase>&) [0x0002c] in /Users/builder/jenkins/workspace/test-mono-pull-request-i386-osx/mcs/class/referencesource/mscorlib/system/runtime/compilerservices/AsyncMethodBuilder.cs:471
  at Xunit.Sdk.TestAssemblyRunner`1<TTestCase_REF>.RunAsync () [0x00027] in <2dbd0c8e155141df800de44e485a4682>:0
  at Xunit.Sdk.XunitTestFrameworkExecutor/<RunTestCases>d__6.MoveNext () [0x00047] in <2dbd0c8e155141df800de44e485a4682>:0
  at System.Runtime.CompilerServices.AsyncVoidMethodBuilder.Start<Xunit.Sdk.XunitTestFrameworkExecutor/<RunTestCases>d__6> (Xunit.Sdk.XunitTestFrameworkExecutor/<RunTestCases>d__6&) [0x0002c] in /Users/builder/jenkins/workspace/test-mono-pull-request-i386-osx/mcs/class/referencesource/mscorlib/system/runtime/compilerservices/AsyncMethodBuilder.cs:84
  at Xunit.Sdk.XunitTestFrameworkExecutor.RunTestCases (System.Collections.Generic.IEnumerable`1<Xunit.Sdk.IXunitTestCase>,Xunit.Abstractions.IMessageSink,Xunit.Abstractions.ITestFrameworkExecutionOptions) [0x0003f] in <2dbd0c8e155141df800de44e485a4682>:0
  at Xunit.Sdk.TestFrameworkExecutor`1<TTestCase_REF>.RunTests (System.Collections.Generic.IEnumerable`1<Xunit.Abstractions.ITestCase>,Xunit.Abstractions.IMessageSink,Xunit.Abstractions.ITestFrameworkExecutionOptions) [0x0002a] in <2dbd0c8e155141df800de44e485a4682>:0
  at Xunit.Xunit2.RunTests (System.Collections.Generic.IEnumerable`1<Xunit.Abstractions.ITestCase>,Xunit.Abstractions.IMessageSink,Xunit.Abstractions.ITestFrameworkExecutionOptions) [0x0000f] in <80298a5b0a35433b89a4787188bb5cd1>:0
  at Xunit.XunitFrontController.RunTests (System.Collections.Generic.IEnumerable`1<Xunit.Abstractions.ITestCase>,Xunit.Abstractions.IMessageSink,Xunit.Abstractions.ITestFrameworkExecutionOptions) [0x00009] in <80298a5b0a35433b89a4787188bb5cd1>:0
  at TestFrameworkExtensions.RunTests (Xunit.Abstractions.ITestFrameworkExecutor,System.Collections.Generic.IEnumerable`1<Xunit.Abstractions.ITestCase>,Xunit.IMessageSinkWithTypes,Xunit.Abstractions.ITestFrameworkExecutionOptions) [0x00009] in <80298a5b0a35433b89a4787188bb5cd1>:0
  at Xunit.ConsoleClient.Program.ExecuteAssembly (object,Xunit.XunitProjectAssembly,bool,bool,System.Nullable`1<bool>,System.Nullable`1<int>,bool,bool,bool,bool,Xunit.XunitFilters) [0x002d5] in <19f39e80394d4fb9a2a6d0096d947c8d>:0
  at Xunit.ConsoleClient.Program.RunProject (Xunit.XunitProject,bool,System.Nullable`1<bool>,System.Nullable`1<bool>,System.Nullable`1<int>,bool,bool,bool,bool) [0x001d2] in <19f39e80394d4fb9a2a6d0096d947c8d>:0
  at Xunit.ConsoleClient.Program.Main (string[]) [0x0014f] in <19f39e80394d4fb9a2a6d0096d947c8d>:0
  at (wrapper runtime-invoke) <Module>.runtime_invoke_int_object (object,intptr,intptr,intptr) [0x00057] in <19f39e80394d4fb9a2a6d0096d947c8d>:0

Native stacktrace:


Debug info from gdb:

(lldb) command source -s 0 '/tmp/mono-gdb-commands.tb3Htm'
Executing commands in '/tmp/mono-gdb-commands.tb3Htm'.
(lldb) process attach --pid 30659
error: attach failed: unable to attach

=================================================================
Got a SIGSEGV while executing native code. This usually indicates
a fatal error in the mono runtime or one of the native libraries 
used by your application.
=================================================================
Comment 1 Zoltan Varga 2017-03-18 05:16:39 UTC
https://github.com/mono/mono/pull/4557
Comment 2 Zoltan Varga 2017-03-20 04:26:21 UTC
The crash is now fixed, there are still test failures, those relate to sizes of SIMD types, we set them to 16 to correspond to the native size, while MS seems to set it to only include the fields in the structure.